=== debian/control ===
Source: qownnotes
Priority: optional
Maintainer: Patrizio Bekerle <patrizio@bekerle.com>
Section: editors
Build-Depends: debhelper (>= 9), cdbs, qt5-qmake, qtbase5-dev, libqt5svg5-dev, qtdeclarative5-dev, libqt5xmlpatterns5-dev
Standards-Version: 3.9.6
Homepage: http://www.qownnotes.org
Vcs-Git: https://github.com/pbek/QOwnNotes.git
Vcs-Browser: https://github.com/pbek/QOwnNotes/

Package: qownnotes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5sql5, libqt5sql5-sqlite, libqt5widgets5, libqt5qml5, libqt5svg5, libqt5network5, libqt5xml5, libqt5xmlpatterns5, libqt5printsupport5, openssl
Description: Plain text notepad and todo list manager with markdown support that works together with ownCloud
 QOwnNotes is the text notepad and todo list manager with markdown support that works together with ownCloud.
 You own your own notes! All notes are stored as plain-text files on your desktop computer.
 Sync them over devices (desktop & mobile) with ownCloud.
 Use ownCloud Notes to edit your notes in the web.
